<?xml version="1.0"?> 
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes"/>
   
<xsl:template match="exportedResults">
<html>
	<head><title>ClearQuest query result</title></head>
	<body  bgcolor="#ffffff" text="#000000">
	<img border="0" height="21" width="211" src="http://www-306.ibm.com/software/main/img/com/rtl_brandmark_title.gif" alt="Rational software"/>
	<xsl:apply-templates select="queryInfo"/>
	<i>Created <xsl:value-of select="@creationTime"/></i>
	<TABLE BORDER="1" cellspacing="1" cellpadding="10">
	<xsl:apply-templates select="columnNames" />
	<xsl:apply-templates select="records"/>
	</TABLE>
	</body>
</html>
</xsl:template>

<xsl:template match="queryInfo">
<h2>Query results for <xsl:value-of select="@name"/> </h2>
</xsl:template>

<xsl:template match="columnNames">
	<TR BGCOLOR="#FF00FF">
	<xsl:apply-templates select="columnName"/></TR>
</xsl:template>

<xsl:template match="columnName">
	<TH><xsl:value-of select="."/></TH><xsl:text>
</xsl:text>
</xsl:template>

<xsl:template match="records">
	<xsl:apply-templates select="record"/>
</xsl:template>

<xsl:template match="record">
	<TR BORDER="1"><xsl:apply-templates select="field"/></TR>
</xsl:template>

<xsl:template match="field">
	<TD><xsl:value-of select="."/></TD>
</xsl:template>


</xsl:stylesheet>
