<?xml version="1.0"?> 
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes"/>
   
<xsl:template match="exportedResults">
<html>
	<head><title>ClearQuest query result</title></head>
	<body  bgcolor="#ffffff" text="#000000">
		<img border="0" height="21" width="211" src="http://www-306.ibm.com/software/main/img/com/rtl_brandmark_title.gif" alt="Rational software"/>
		<xsl:apply-templates select="queryInfo"/>
		<i>Created <xsl:value-of select="@creationTime"/></i>
		<xsl:apply-templates select="records"/>
	</body>
</html>
</xsl:template>

<xsl:template match="queryInfo">
<h2><xsl:value-of select="@name"/></h2>
</xsl:template>

<xsl:template match="records">
	<xsl:apply-templates select="record"/>
	
</xsl:template>

<xsl:template match="record">
	<TABLE BORDER="1" CELLPADDING="10">
		<xsl:apply-templates select="field"/>
	</TABLE>
	<BR/>
</xsl:template>


<xsl:template match="field">
	<xsl:variable name="index" select="position()" />
	<xsl:choose>
	  <xsl:when test="@name ='id' and $index=1">
		<tr BGCOLOR="#00FFFF"><th><b><xsl:value-of select="."/></b></th></tr>
	  </xsl:when>
	  <xsl:when test="@name ='email'">
		<tr>
		<td><xsl:value-of select="@name"/></td>	
		<td><xsl:text disable-output-escaping="yes">&lt;a href="mailto:</xsl:text><xsl:value-of select="."/>
		<xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
		<xsl:value-of select="."/><xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text></td></tr>
	  </xsl:when>
	  <xsl:otherwise>
		<tr>
		<td><xsl:value-of select="@name"/></td>
		<td><xsl:value-of select="."/></td>
		</tr>	
	  </xsl:otherwise>
	</xsl:choose>
</xsl:template>


</xsl:stylesheet>
